<div class="register-box">
  <div class="register-logo">
    <a href="javascript:void(0)"><b>Portago</b>Facturation</a>
  </div>

  <div class="register-box-body">
    <p class="login-box-msg">Register a new membership</p>

    <form [formGroup]="form" method="post">
      <div class="form-group has-feedback">
        <input class="form-control" placeholder="Full name" type="text" formControlName="username">
        <span class="glyphicon glyphicon-user form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input class="form-control" placeholder="Email" type="email" formControlName="email">
        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input class="form-control" placeholder="Password" type="password" formControlName="password">
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input class="form-control" placeholder="Retype password" type="password" formControlName="repass">
        <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
          <div class="checkbox icheck">
            <label>
              <input type="checkbox"> I agree to the <a href="javascript:void(0)">terms</a>
            </label>
          </div>
        </div>
        <!-- /.col -->
        <div class="col-xs-4">
          <button class="btn btn-primary btn-block btn-flat" type="submit" (click)="onSubmit()">Register</button>
        </div>
        <!-- /.col -->
      </div>
    </form>

    <div class="social-auth-links text-center">
      <p>- OR -</p>
      <a class="btn btn-block btn-social btn-facebook btn-flat" href="javascript:void(0)"><i class="fa fa-facebook"></i> Sign up using
        Facebook</a>
      <a class="btn btn-block btn-social btn-google btn-flat" href="javascript:void(0)"><i class="fa fa-google-plus"></i> Sign up using
        Google+</a>
    </div>

    <a [routerLink]="'/login/'" class="text-center">I already have a membership</a>
  </div>
  <!-- /.form-box -->
</div>
<!-- /.register-box -->
